Subject: Re: linux-next: build failure after merge of the driver-core tree

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 13 Mar 2014 07:14:52 +1100

On Wed, 2014-03-12 at 16:02 -0400, Tejun Heo wrote:
> On Thu, Mar 13, 2014 at 06:59:56AM +1100, Benjamin Herrenschmidt wrote:
> > Either that or I can put a copy of the patch that introduces the new
> > function in my tree as long as it's a single patch. The resulting
> > conflict should resolve trivially and Linus should be fine if
> > appropriate explanations are provided (though I would have preferred
> > pulling in a topic branch).
> 
> An alternative that I personally prefer to resolve conflicts like this
> is to pull driver-core-next into the broken tree and resolve it there.
> It's highly likely that the pending changes are gonna be included in
> the next merge window.  If contaminating the merge history is a
> concern, it can live in a separate branch which is pulled into
> for-next.

It's generally consider bad taste to pull entire trees into each
other :-) I know Stephen isn't fan of it...

I'd rather have just that series (or even better, just the patches
introducing the new function) in a topic branch, itself pulled into
both driver-core-next and my tree.

Can you produce that ? (I need a non-rebase guarantee though).

Cheers,
Ben.